Fork me on GitHub"

# skbio.metadata.IntervalMetadata.merge

IntervalMetadata.merge(other)

  Merge the interval features of another `IntervalMetadata` object.

  State: Experimental as of 0.5.1.

  It adds all the interval features of the other object into `self`. Note this will not check if there are any duplicates of interval features after merge.

  Notes

  It will raise error if you merge an unbounded `IntervalMetadata` object to the current object if it is bounded. This avoids partially updating the current object if the merge fails in the middle of the process due to the possibility that some interval features to be merged may live outside the current defined upper bound.

  Parameters:

    other (`IntervalMetadata`) – The other `IntervalMetadata` to be merged.